import HtmlElementInterface from "../HtmlElementInterface";
export default class Details implements HtmlElementInterface {
    private readonly elements;
    private readonly eventEmitter;
    getHtmlElement(): HTMLElement;
    /** adds a summary to the details (the clickable text that still shows when the details are collapsed) */
    addSummary(text: string): this;
    /** adds a headline to the details */
    addHeadline(text: string): this;
    /** adds a paragraph to the details */
    addParagraph(text: string): this;
    /** allows to add any html element to the details */
    addElement(element: HTMLElement): this;
    /**
     * attaches an event listener that gets called when the user clicks a link inside a paragraph
     * @internal
     */
    onLinkClick(callback: (event: HTMLAnchorElement) => void): void;
}
